shishi_cfg_clientkdcetype_fast(3)

NAME
shishi_cfg_clientkdcetype_fast - API function

SYNOPSIS
#include <shishi.h>

int32_t shishi_cfg_clientkdcetype_fast(Shishi * handle);

ARGUMENTS

Shishi * handle
    Shishi library handle created by shishi_init().

DESCRIPTION
Extracts the default encryption type from the list of preferred encryption types acceptable to the client.

When the preferred list is empty, SHISHI_AES256_CTS_HMAC_SHA1_96 is returned as a sensible default type.

RETURN VALUE
Returns the default encryption type.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.